be.ehealth.businessconnector.insurabilityv2.service.impl

## Class InsurabilityServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.insurabilityv2.service.impl.InsurabilityServiceImpl

- All Implemented Interfaces:
    InsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class InsurabilityServiceImpl
      extends Object
      implements InsurabilityService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation for the `InsurabilityService` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsurabilityServiceImpl()` default constructor, needed for ModuleBootstrapHook.
    `InsurabilityServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)` Creates a new InsurabilityServiceImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `GetInsurabilityForPharmacistResponse` | `getInsurabilityForPharmacist(SAMLToken token, GetInsurabilityForPharmacistRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsurabilityServiceImpl

          public InsurabilityServiceImpl(SessionValidator sessVal,
                                         EhealthReplyValidator ehRepVal)
                                  throws TechnicalConnectorException

      Creates a new InsurabilityServiceImpl
      Throws:
        `TechnicalConnectorException`

    - #### InsurabilityServiceImpl

          public InsurabilityServiceImpl()

      default constructor, needed for ModuleBootstrapHook.

  - ### Method Detail

    - #### getInsurabilityForPharmacist

          public GetInsurabilityForPharmacistResponse getInsurabilityForPharmacist(SAMLToken token,
                                                                                   GetInsurabilityForPharmacistRequest request)
                                                                            throws InsurabilityBusinessConnectorException,
                                                                                   TechnicalConnectorException,
                                                                                   SessionManagementException

      Specified by:
        `getInsurabilityForPharmacist` in interface `InsurabilityService`
      Returns:
      Throws:
        `InsurabilityBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `be.ehealth.businessconnector.insurabilityv2.service.InsurabilityService#getInsurabilityForPharmacist(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.ehealth.businessconnector.insurabilityv2.service.GetInsurabilityForPharmacistRequest)`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging generic 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.